%global modulename JSV

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-JSV
Version:        4.0.2
Release:        1%{?dist}
Summary:        A JavaScript implementation of a extendable, fully compliant JSON Schema validator.

License:        BSD
URL:            http://github.com/garycourt/JSV
Source0:        https://registry.npmjs.org/JSV/-/JSV-4.0.2.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
A JavaScript implementation of a extendable, fully compliant JSON Schema validator.

%package 4.0.2
Summary:        A JavaScript implementation of a extendable, fully compliant JSON Schema validator.


%description 4.0.2
A JavaScript implementation of a extendable, fully compliant JSON Schema validator.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .project %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr jsdoc-toolkit %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr schemas %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tests %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%doc docs
%{nodejs_dir}/%{modulename}

%files 4.0.2
%doc CHANGELOG.md
%doc README.md
%doc docs
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 4.0.2-1
- Package automatically generated by npm2srpm
